---
product: WebStorm
type: Code editors
layout: replace
---

# WebStorm

## VSCodium

Binary releases of VS Code without MS branding / telemetry / licensing.

{% infobox %}
  - **Website**: [vscodium.com](https://vscodium.com)
  - **Source code**: [GitHub](https://github.com/VSCodium/vscodium)
  - **License**: [MIT](https://github.com/VSCodium/vscodium/blob/master/LICENSE)
{% endinfobox %}

<!-- ## Atom
A hackable text editor for the 21st Century.

{% infobox %}
  - **Website**: [atom.io](https://atom.io/)
  - **Source code**: [GitHub](https://github.com/atom/atom)
  - **License**: [MIT](https://github.com/atom/atom/blob/master/LICENSE.md)
{% endinfobox %} -->

## NetBeans

Development Environment, Tooling Platform and Application Framework.

{% infobox %}
  - **Website**: [netbeans.apache.org](https://netbeans.apache.org/)
  - **Source code**: [netbeans.org](https://netbeans.org/projects/ide/sources)
  - **License**: [Apache License 2.0](https://github.com/apache/netbeans/blob/master/LICENSE)
{% endinfobox %}

## Eclipse IDE

The leading open platform for professional developers.

{% infobox %}
  - **Website**: [eclipse.org](https://eclipse.org/eclipseide/)
  - **Source code**: [eclipse.org](https://git.eclipse.org/c/)
  - **License**: [Eclipse Public License](https://en.wikipedia.org/wiki/Eclipse_Public_License)
{% endinfobox %}

## Bluefish

A powerful editor targeted towards programmers and webdevelopers, with many options to write websites, scripts and programming code.

{% infobox %}
  - **Website**: [bluefish.openoffice.nl](http://bluefish.openoffice.nl/index.html)
  - **Source code**: [SourceForge](https://sourceforge.net/p/bluefish/code/HEAD/tree/trunk/bluefish/)
  - **License**: [GNU General Public License v3.0](https://sourceforge.net/p/bluefish/code/HEAD/tree/trunk/bluefish/COPYING)
{% endinfobox %}